<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Error Funktionen</title>
<link rel="stylesheet" type="text/css" href="../src/self.css">
<meta name="description"    content="Funktions&uuml;bersicht Error Funktionen">
<meta name="keywords"       content="SELFPHP, PHP, Funktions&uuml;bersicht, Error Funktionen">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsuebersicht/error_funktionen.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../index.php // Funktions&uuml;bersicht == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a> 
      <img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Funktions&uuml;bersicht</b></a> </td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>Error Funktionen</h2></td>
</tr>
<tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap> 
      <p> <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#error_log"><b>error_log</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#error_reporting"><b>error_reporting</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#restore_error_handler"><b>restore_error_handler</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#set_error_handler"><b>set_error_handler</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#trigger_error"><b>trigger_error</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#user_error"><b>user_error</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>


<h2 class="Sh2"><a class="an" name="error_log">error_log</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>error_log</b> (string message, int message_type [, string destination [, string extra_headers]])
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Es wird eine Fehlermeldung gesendet (TCP-Port, Datei oder Log-Datei)
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="error_reporting">error_reporting</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>error_reporting</b> ([int level])
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Es wird angezeigt, wie PHP-Fehlermeldungen ausgegeben werden
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="restore_error_handler">restore_error_handler</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">void <b>restore_error_handler</b> (void)
 <br>(PHP 4 >= 4.0.1)
<br>Es wird die vorhergehende Fehlerfunktion wiederhergestellt
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="set_error_handler">set_error_handler</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>set_error_handler</b> (string error_handler)
 <br>(PHP 4 >= 4.0.1)
<br>Es wird eine benutzerdefinierte Fehlerfunktion hergestellt
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="trigger_error">trigger_error</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">void <b>trigger_error</b> (string error_msg [, int error_type])
 <br>(PHP 4 >= 4.0.1)
<br>Es wird eine User-Error Meldung hergestellt
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="user_error">user_error</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">void <b>user_error</b> (string error_msg [, int error_type])
 <br>(PHP 4 >= 4.0RC2)
<br>Es wird eine User-Error Meldung hergestellt
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table>
<p>&nbsp;</p>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="filepro_funktionen.html"><img src="../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="filepro_funktionen.html"><b>filePro Funktionen</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="dom_xml_funktionen.html"><img src="../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="dom_xml_funktionen.html"><b>DOM XML Funktionen</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a> 
      <img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Funktions&uuml;bersicht</b></a> </td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>